commit:     950276d503b4150d94ad40dda39e428d828fd6a5
Author:     Victor Kustov <ktrace <AT> yandex <DOT> ru>
AuthorDate: Sat Apr 13 17:54:56 2024 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Aug 16 18:33:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=950276d5

sci-electronics/librepcb: version up to 1.1.0

+ add qt6 build variant

Signed-off-by: Victor Kustov <ktrace <AT> yandex.ru>
Closes: https://github.com/gentoo/gentoo/pull/36278
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-electronics/librepcb/Manifest              |  1 +
 sci-electronics/librepcb/librepcb-1.1.0.ebuild | 81 ++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sci-electronics/librepcb/Manifest 
b/sci-electronics/librepcb/Manifest
index 9105662fe2a4..2e01abb50361 100644
--- a/sci-electronics/librepcb/Manifest
+++ b/sci-electronics/librepcb/Manifest
@@ -1,2 +1,3 @@
 DIST librepcb-0.1.7-source.zip 13112342 BLAKE2B 
53b6dad94febee84b60df1d848936f44093698c9965d4b24815395ff564a5634ab84f38574e7a1b6891f2cdd99b5162eb3747bbfdde2dfc2d680cff76a4e1cc1
 SHA512 
285ad661b9c528b1aa05c9a0482034af26e9344eb08a119ffabbadf518957a9784ccb9582bcfabcf5bf8982c33b6286b39722c0d59072df983925b3949b3e6c5
 DIST librepcb-1.0.0-source.zip 14000096 BLAKE2B 
5b78bb0bd32de78207a95916bc7a7ff85b58f3b4b67e6faf9180bae852ce11416ac3740c04eb30b57073a21eb24d8041136e1ef17f5614e3f7d340e7b813b03d
 SHA512 
7bc056be37fd39d873f6a40cf04c529e95dfc2b69d1cc8246ccbba0932a67c0f017e939c206cf0656b4657cb5c99c10c7e19b9dc4969d54d0a80014029da9439
+DIST librepcb-1.1.0-source.zip 15373750 BLAKE2B 
6f8ba8d66b95373e4760aae617b423e71fcb89ceb39703ce4547a390e4ad0630866632d9bad01f93780fdb8c3452ec0424e753ef891402e440686c64eba56495
 SHA512 
2ca02095d89547e17813fcfeadedd48fb9345d177885c9d21a8d313d864c6f02243eb13a33341c474bc0671a66ef6b00b6329760aeb3439fdb10123f2db9d38b

diff --git a/sci-electronics/librepcb/librepcb-1.1.0.ebuild 
b/sci-electronics/librepcb/librepcb-1.1.0.ebuild
new file mode 100644
index 000000000000..8e3488865a8b
--- /dev/null
+++ b/sci-electronics/librepcb/librepcb-1.1.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2009-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake virtualx xdg
+
+DESCRIPTION="Free EDA software to develop printed circuit boards"
+HOMEPAGE="https://librepcb.org/";
+SRC_URI="https://download.librepcb.org/releases/${PV}/${P}-source.zip";
+
+S="${WORKDIR}/${PN}-${PV/_/-}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="opencascade qt6"
+
+BDEPEND="
+       app-arch/unzip
+       !qt6? ( dev-qt/linguist-tools:5 )
+       qt6? ( dev-qt/qttools:6[linguist] )"
+
+RDEPEND="
+       dev-cpp/muParser:=
+       !qt6? (
+               dev-libs/quazip:=[qt5(+)]
+               dev-qt/qtconcurrent:5
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtnetwork:5[ssl]
+               dev-qt/qtopengl:5
+               dev-qt/qtprintsupport:5
+               dev-qt/qtquickcontrols2:5
+               dev-qt/qtsql:5[sqlite]
+               dev-qt/qtsvg:5
+               dev-qt/qtwidgets:5
+       )
+       qt6? (
+               dev-libs/quazip:=[qt6(-)]
+               
dev-qt/qtbase[concurrent,gui,network,opengl,sql,sqlite,ssl,widgets]
+               dev-qt/qtdeclarative:6
+               dev-qt/qtsvg:6
+       )
+       opencascade? ( sci-libs/opencascade:= )
+       sys-libs/zlib
+       virtual/opengl"
+
+DEPEND="${RDEPEND}
+       test? ( dev-cpp/gtest )
+       !qt6? ( dev-qt/qttest:5 )"
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTS=$(usex test ON OFF)
+               -DQT_MAJOR_VERSION=$(usex qt6 6 5)
+               -DUNBUNDLE_GTEST=ON
+               -DUNBUNDLE_MUPARSER=ON
+               -DUNBUNDLE_QUAZIP=ON
+               -DUSE_OPENCASCADE=$(usex opencascade 1 0) )
+       cmake_src_configure
+}
+
+src_test() {
+       cd "${BUILD_DIR}"/tests/unittests || die
+       # https://github.com/LibrePCB/LibrePCB/issues/516
+       # virtx ./librepcb-unittests 
--gtest_filter=-SystemInfoTest.testGetUsername
+       virtx ./librepcb-unittests 
--gtest_filter=-SystemInfoTest.testGetUsername:CategoryTreeModelTest.testSort:BoardPlaneFragmentsBuilderTest.testFragments:BoardGerberExportTest.test
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       ewarn
+       ewarn "LibrePCB builds might not be exactly reproducible with e.g. 
-march={native,haswell,...}."
+       ewarn "This can cause minor issues, see for example:"
+       ewarn "https://github.com/LibrePCB/LibrePCB/issues/516";
+       ewarn "For a completely reproducible build use: -march=x86-64."
+       ewarn
+}

Reply via email to